Subject: Re: bug#79390: 31.0.50; oauth2.el; error in byte-compiling

From: Xiyue Deng <[email-masked]>
Date: Fri, 05 Sep 2025 17:01:28 -0700

Hi Ito-san, Sean,

Sean Whitton <[email-masked]> writes:

> Hello,
>
> Thanks.  Adding Xiyue.
>
> On Sat 06 Sep 2025 at 12:30am +09, Kazuhiro Ito wrote:
>
>> When I byte-compile oauth2.el (0.18), below errors and warnings are
>> displayed and fail to byte-compiling.
>>
>>
>> In oauth2--build-url-param-str:
>> oauth2.el:164:12: Error: ‘add-to-list’ can’t use lexical var ‘data-list’;
>>     use ‘push’ or ‘cl-pushnew’
>>
>> In oauth2--generate-code-verifier:
>> oauth2.el:187:11: Warning: Unused lexical variable ‘func-name’
>>
>> In oauth2-request-authorization:
>> oauth2.el:223:16: Error: ‘add-to-list’ can’t use lexical var ‘param’; use
>>     ‘push’ or ‘cl-pushnew’
>>
>> In end of data:
>> oauth2.el:124:8: Warning: the function ‘org-plist-delete’ is not known to be
>>     defined.
>
> -- 
> Sean Whitton

Thanks for the report!  I have now pushed a few fixes which should
handle those warnings/errors plus a few other fixes.  I have also added
build checks in Gitlab CI.  Now tagged v0.18.1.  Please help check
whether those fixes work for you.

-- 
Regards,
Xiyue Deng